package com.yc.ship.module.ota.controller.admin.distributorcategory.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 供应商分类 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DistributorCategoryRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "13159")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "编码")
    @ExcelProperty("编码")
    private String cateCode;

    @Schema(description = "分类名称", example = "王五")
    @ExcelProperty("分类名称")
    private String cateName;

    @Schema(description = "排序号")
    @ExcelProperty("排序号")
    private Integer sortNum;

    @Schema(description = "状态", example = "2")
    @ExcelProperty("状态")
    private Integer useStatus;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}