package com.yc.ship.module.resource.enums;

import com.yc.ship.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    /**
     * 资源管理
     */
    ErrorCode PORT_NOT_EXISTS = new ErrorCode(1_003_000_001, "口岸不存在");

    ErrorCode DOCK_NOT_EXISTS = new ErrorCode(1_003_000_002, "码头不存在");

    ErrorCode SCENIC_NOT_EXISTS = new ErrorCode(1_003_000_003, "景区不存在");

    ErrorCode ROUTE_NOT_EXISTS = new ErrorCode(1_003_000_004, "航线不存在");

    ErrorCode SHIP_TYPE_NOT_EXISTS = new ErrorCode(1_003_000_005, "游轮类型不存在");

    ErrorCode SHIP_NOT_EXISTS = new ErrorCode(1_003_000_006, "游轮不存在");

    ErrorCode ROOM_MODEL_NOT_EXISTS = new ErrorCode(1_003_000_007, "房型不存在");

    ErrorCode ROOM_NOT_EXISTS = new ErrorCode(1_003_000_008, "房间不存在");

    ErrorCode ROOM_NUMS_EXISTS = new ErrorCode(1_003_000_008, "该房间号已存在");
}
