package com.yc.ship.module.resource.framework.web.config;

import com.yc.ship.framework.swagger.config.YudaoSwaggerAutoConfiguration;
import org.springdoc.core.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * resource 模块的 web 组件的 Configuration
 *
 * @author 豪华游轮
 */
@Configuration(proxyBeanMethods = false)
public class ResourceWebConfiguration {

    /**
     * resource 模块的 API 分组
     */
    @Bean
    public GroupedOpenApi resourceGroupedOpenApi() {
        return YudaoSwaggerAutoConfiguration.buildGroupedOpenApi("基础资源");
    }

}
