package com.yc.ship.module.ota.controller.admin.distributor.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 分销商精简信息 Response VO")
@Data
public class DistributorSimpleRespVO {

    @Schema(description = "分销商id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    private Long id;

    @Schema(description = "分销商名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "慧旅")
    private String name;

    @Schema(description = "类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer type;

    @Schema(description = "结算方式", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private String payType;

}
