package com.yc.ship.module.ota.controller.admin.distributorrecharge.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 分销商充值审核 Request VO")
@Data
public class DistributorRechargeAuditReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "2357")
    private Long id;

    @Schema(description = "状态1.审核通过，2.审核驳回",requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    private Integer auditStatus;

    @Schema(description = "审核备注", example = "你说的对")
    private String auditRemark;

}